Community
Showing results for 
Search instead for 
Do you mean 
Reply

SQL Server® 2005 Service Pack 3 KB article 21104

Accepted Solution Solved
Copper Contributor
Posts: 46
Country: USA
Accepted Solution

SQL Server® 2005 Service Pack 3 KB article 21104

2 questions about this article:

 

1) The article doesn't advise whether it is necessary, a very good idea, just a good idea, or a bad idea, to apply SP3.    Any feedback on that?

 

2) I run Windows XP, and have ACT! by Sage Premium 2008 (10.0) (ST Edition) Version 10.0.3.182, Hotfix 1. 

My SQL server (from Actdiag) is Microsoft SQL Server Express Edition, SP2, Build 9.00.3042.00.

 

My user class is Administrator for my computer and for ACT.

 

 

So I followed the directions in the article, and first downloaded 

 

SQLServerDBEngineUpdater_Basic.exe from Sage,

then 

 SQLServer2005SP3-KB955706-x86-ENU.exe file from MS.

 

I downloaded both files to my desktop.  

 

I ran  SQLServerDBEngineUpdater_Basic.exe file, and using it, browsed to my desktop to select the  SQLServer2005SP3-KB955706-x86-ENU.exe file.

 

However,  SQLServer2005SP3-KB955706-x86-ENU.exe  did not appear in the dialog window... no files did -- only folders.  It is as though  SQLServerDBEngineUpdater_Basic.exe cannot recognize .exe files.

 

Hm.   Any thoughts?


Accepted Solutions
Solution
Accepted by topic author btoman
‎09-25-2015 03:20 AM
Moderator
Posts: 4,395
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

Hello btoman,

 

The information in the knowledgebase isn't inaccurate and you followed the correct steps according the to article.  There is just a little of a confusion and the article could be worded differently to avoid this issue in the future.  Since you are using Premium ST, it was expected that you had SQL Standard installed, but in your case its SQL Express and requires you to run SQLServerDBEngineUpdater_Express.exe.

 

You can submit feedback by submitting a rating at the bottom of the article.  I will also forward this to the knowledgebase team.

 

 

 

View solution in original post


All Replies
Nickel Elite Contributor
Posts: 567
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

SQL 2005 Edition released Service Pack 3 and pushed it via Microsoft update as a critical update as it contained critical security fixes as a cumulative up to the point of release.  Since ACT! uses a named private instance, users are unable to apply the service pack via Microsoft update resulting in that process to error against the ACT7 instance.  

 

It is a good idea to apply this service pack update if ACT! Diag shows your SQL Edition build to be less that 9.0.4035.

 

The SQL Edition that you have indicated is SQL Express.  You need to download SQLServerDBEngineUpdater_Express.exe as this is the SQL edition you have specified in your posting.  

 

The file you have downloaded is for SQL 2005 Standard edition which will not apply to the edition specified and that is why there is nothing listed to apply upon launch of the utility.

 

After applying the update, launch ACTDiag and the SQL Edition should now be showing 9.0.4035.

 

thanks 

 

 

Matthew McFadden
Copper Contributor
Posts: 46
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

Thanks for your response, especially with regard to  the advisability of installing SP3.

 

With regard to the second part.

 

I appreciate your advice to use the other installer, but you leave a contradiction hanging.

 

Either you believe I did not follow the instructions in the article, or you believe the instructions in the article is wrong.

 

I think you are saying that the instructions provided in the article is wrong.     How do we let Sage know that it needs to be fixed?

 

In the "community" board I recently commenting on the limited usefulness of the "Solved" tag.   This case is not "solved" until the instructions that caused the problem are fixed as well.  Agreed?

Nickel Elite Contributor
Posts: 567
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

As you have specified, the edition of SQL that your ACT! version is installed with is SQL Express edition Service Pack 2 (9.0.3042) per the ACTDiag Screen.

 

The component that you need to download is the Express package update.  Once downloaded and applied, the version of SQL displayed via ACTDiag should be 9.0.4035 which is SQL Express with Service Pack 3.

 

thanks 

 

Matthew McFadden
Copper Contributor
Posts: 46
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

Again, please address the question of the inaccuracy of the Knowledge base article.    How do we let Sage know it needs to be corrected?

 

The specific part that is not accurate is the following:

 

Important Notes:

  • You must verify the version of ACT! installed to download the appropriate file.
  • Use SQLServerDBEngineUpdater_Express.exe if the following versions of ACT! are installed:
    • ACT! by Sage 2007 - ACT! by Sage 2009
    • ACT! by Sage Premium for Workgroups 2007 (EX Edition) - ACT! by Sage Premium 2009 (EX Edition)
    • ACT! by Sage Premium for Web 2007 (EX Edition) - ACT! by Sage Premium for Web 2009 (EX edition)
  • Use SQLServerDBEngineUpdater_Basic.exe if the following versions of ACT! are installed:
    • ACT! by Sage Premium for Workgroups 2007 (ST Edition) - ACT! by Sage Premium 2009 (ST Edition)
    • ACT! by Sage Premium for Web 2007 (ST Edition) - ACT! by Sage Premium for Web 2009 /li>
  • Use SQLServerDBEngineUpdater_x64.exe if using the 64-bit version of SQL 2005 Standard.
  • You must be logged in as an Administrator to install the utility.
  • If you are using Microsoft Windows Vista®, you will need to right mouse button click on the executable and launch using "Run as Administrator".
  • It is recommended that you have your computer up to date with Microsoft Critical Updates prior to application of the Service Pack.
  • Upon successful completion of the Service Pack, the ACT! Diagnostic tool will display SP3 x4035.

 

 The article refers back to this section SEVERAL TIMES in bold text, urging users to make sure they are using the right updater.

 

For instance:

Follow the instructions below if your installed version of ACT! is under the criteria for the SQLServerDBEngineUpdater_Basic.exe as stated under the Important Notes section at the beginning of this article:

 

Your advice in this thread directly contradicts the knowledge base article and its several warnings.


That is a problem.  Again please deal with this issue directly; how do we let Sage know their directions are wrong?

 

Solution
Accepted by topic author btoman
‎09-25-2015 03:20 AM
Moderator
Posts: 4,395
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

Hello btoman,

 

The information in the knowledgebase isn't inaccurate and you followed the correct steps according the to article.  There is just a little of a confusion and the article could be worded differently to avoid this issue in the future.  Since you are using Premium ST, it was expected that you had SQL Standard installed, but in your case its SQL Express and requires you to run SQLServerDBEngineUpdater_Express.exe.

 

You can submit feedback by submitting a rating at the bottom of the article.  I will also forward this to the knowledgebase team.

 

 

 

Copper Contributor
Posts: 46
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

[ Edited ]

You know, argh.

 

The directions ARE inaccurate since they base selection of the updater solely on the ACT version you have.  Now, I don't know why my "About ACT" says it is (ST) but my SQL version says it is EX.    I don't know if that is freaky and rare or very common.   But in any case for my set up the directions are unambiguously wrong.   Not ambiguous.  Not confusing.   Wrong.   

 

But I appreciate it that you have directly addressed the point (which is the subject of the post) and also that you will ask the Knowledge base people to ... clarify their instructions. 

 

I have given you the Solution check and we are done.  Thanks again.

Message Edited by btoman on 06-22-2009 07:47 AM
Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

Thank you for your feedback for KB article 21104. The article has been updated to clarify that the download you will need depends on your version of SQL installed rather than your version of ACT!. We apologize for any confusion caused. Please click below to view the article:

 

How To Apply the Microsoft® SQL Server® 2005 Service Pack 3

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

New Member
Posts: 7
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

I have tried this fix 10 times following every step in detail and I still get

 

Product         : MSXML 6 Service Pack 2 (KB954459)
Product Version : 6.20.1099.0
Install         : Failed

 

It looks like everthing is installing and this is one of the last steps before it fails. Come on guys can we at least make our programs compatible with XP?

New Member
Posts: 7
Country: USA

Re: SQL Server® 2005 Service Pack 3 KB article 21104

[ Edited ]

 

Wow, I finaly got it to work and now everything is working including Outlook BCM, Business Contact Manager!

 

Before I could run the update I had to blow out the registry key in KB 24152. Once I deleted the key and re-booted everthing works like a champ!

 

MSXML 6.0 Fails During Microsoft® SQL Server® 2005 ACT7 Instance Installation

 

 

 

Fixed KB article link.

Message Edited by dlunceford on 08-04-2009 10:01 AM